Page MenuHomePhabricator

Migrate background image handling to use LESS variables
Closed, ResolvedPublic

Description

Currently we're just mimicking how the logo is placed by default in skin styles in general (ResourceLoaderSkinModule).

Variables are neater and would resolve issues with only being able to use one RL class per module, as we can just lump a whole bunch of variables in a single one and be done with it.

Event Timeline

Change 530651 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Migrate background image handling to use ResourceLoaderLessVarFileModule

https://gerrit.wikimedia.org/r/530651

Isarra renamed this task from Migrate logo and background image handling to use ResourceLoaderLessVarFileModule to Migrate logo and background image handling to use LESS variables.Aug 17 2019, 3:50 AM
Isarra updated the task description. (Show Details)

Apparently that was completely the wrong class to be using. Okay.

And for proper HiDPI support, logo handling shouldn't even be CSS to begin with. We can spoof it with @media queries, but since we have no damn clue what size of logo people are going to upload, that's not actually going to work, either. Only way to properly support that is to use a srcset or an svg.

Isarra renamed this task from Migrate logo and background image handling to use LESS variables to Migrate background image handling to use LESS variables.Aug 19 2019, 4:38 PM

Change 530651 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Migrate backdrop image style generation to set a variable we use in the LESS instead of adding the styles prebaked

https://gerrit.wikimedia.org/r/530651

Isarra closed this task as Resolved.Aug 23 2019, 4:28 PM
Isarra claimed this task.